# Detect the distribution in use
%global __despace /usr/bin/head -n 1 | /usr/bin/tr -d '[:space:]' | %{__sed} -e 's/[(].*[)]//g'
%global __lower4 /usr/bin/cut -c 1-4 | /usr/bin/tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(%{__sed} -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(%{__sed} -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS & White Box as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "wbel"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%{!?perl_vendorlib: %global perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
%{!?__id_u: %global __id_u %([ -x /bin/id ]&&echo /bin/id||([ -x /usr/bin/id ]&&echo /usr/bin/id||echo /bin/true)) -u}

%global extraversion _01

Summary:	Get the download size for web resources
Name:		perl-HTTP-Size
Version:	1.13
Release:	7.%{__distinit}%{__distvers}
License:	GPL+ or Artistic
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/HTTP-Size/
Source0:	http://search.cpan.org/CPAN/authors/id/B/BD/BDFOY/HTTP-Size-%{version}%{?extraversion}.tar.gz
Patch0:		HTTP-Size-1.13-test-url.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	perl-libwww-perl, perl(URI), perl(HTML::SimpleLinkExtor)
BuildRequires:	perl(Test::Pod), perl(Test::Pod::Coverage)
Requires:	perl-libwww-perl, perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
HTTP::Size - Get the byte size of an Internet resource.

%prep
%setup -q -n HTTP-Size-%{version}%{?extraversion}

# Some of the test URLs are unavailable now, so fix them
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%clean
%{__rm} -rf %{buildroot}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -depth -type d -exec /bin/rmdir {} ';' 2>/dev/null
%{_fixperms} %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/HTTP/Size.pm
%{_mandir}/man3/HTTP::Size.3*

%changelog
* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> 1.13-7
- Rebuild for perl 5.12.1 in Rawhide

* Thu May 13 2010 Paul Howarth <paul@city-fan.org> 1.13-6
- Fix dist tag for RHEL-6 Beta

* Tue Sep 23 2009 Paul Howarth <paul@city-fan.org> 1.13-5
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Fri Sep 11 2009 Paul Howarth <paul@city-fan.org> 1.13-4
- Update to 1.13_01 (better resistance to problems in remote resource tests)
- Drop CPAN ROADMAP size patch, no longer needed
- Add patch to fix URLs for some test resources
- Define RPM macros in global scope

* Wed Oct 29 2008 Paul Howarth <paul@city-fan.org> 1.13-3
- CPAN ROADMAP file has grown, test suite fixed accordingly
- Tweak dist tag macros to work on current Rawhide with three-part releasenum

* Tue Mar 11 2008 Paul Howarth <paul@city-fan.org> 1.13-2
- Rebuild for perl 5.10.0 on Fedora 9

* Tue Dec 18 2007 Paul Howarth <paul@city-fan.org> 1.13-1
- Update to 1.13

* Thu Nov  8 2007 Paul Howarth <paul@city-fan.org> 1.12-2
- Fix dist tag for Fedora 7 onwards
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)

* Wed Jan 10 2007 Paul Howarth <paul@city-fan.org> 1.12-1
- Update to 1.12
- Include LICENSE file
- Fix argument order for find with -depth
- Add buildreqs for perl(Test::Pod) and perl(Test::Pod::Coverage)

* Fri Sep  1 2006 Paul Howarth <paul@city-fan.org> 1.11-2
- Fix distribution tags for development releases

* Thu Jun  8 2006 Paul Howarth <paul@city-fan.org> 1.11-1
- Update to 1.11
- Define %%{__id_u} in a more portable way

* Mon Apr 10 2006 Paul Howarth <paul@city-fan.org> 0.94-1
- Update to 0.94

* Fri Apr  7 2006 Paul Howarth <paul@city-fan.org> 0.93-1
- Update to 0.93
- Package Changes file

* Wed Mar 22 2006 Paul Howarth <paul@city-fan.org> 0.92-1
- Update to 0.92
- Remove yesterday's patch, issue fixed upstream

* Tue Mar 21 2006 Paul Howarth <paul@city-fan.org> 0.91-3
- Add patch to address missing online test files (CPAN RT#18272)
- Simplify distribution-detection code
- No point setting compiler optimization flags on noarch package
- Remove %%__perl_version macro, used only once
- Remove %%__perl_package macro, used only twice
- Don't use macros in build-time command paths, hardcode them instead
- Remove buildroot unconditionally in %%clean and %%install
- Change dependency style to use perl namespace
- License is same as perl, not just Artistic
- Use search.cpan.org URLs

* Sun Jun  5 2005 Paul Howarth <paul@city-fan.org> 0.91-2
- Rewrite spec file in (mainly) Fedora Extras style
- Include full URL for source
- Fix URL
- Use MODULE_COMPAT dependency style and remove explicit perl dependency
- Remove MANIFEST from %%doc

* Wed Oct 27 2004 Paul Howarth <paul@city-fan.org> 0.91-1
- Update to 0.91
- Tidy up spec file

* Mon May 10 2004 Paul Howarth <paul@city-fan.org> 0.4-1
- Initial build
